import { defaultHookData as e } from "../../types/circom-data.types.mjs";
import { ContractType as t } from "../../types/ethereum-network.types.mjs";
import "../../types/index.mjs";
import { transactCallDirect as n } from "../../functions/web3/functionCalls/transactCallDirect.mjs";
import { prepareDepositOnChainUtxosZkProof as r } from "./prepareDepositOnChainUtxosZkProof.mjs";
import { ethers as i } from "ethers";
//#region libs/shared/common/src/data-structures/Hinkal/hinkalPalEvmDeposit.ts
var a = async (a, o, s, c, l, u) => {
	let { zkCallData: d, circomData: f, dimData: p, totalAmount: m, utxoAmounts: h } = await r(a, o, s, c, l, { hookData: {
		...e,
		preHookMetadata: i.hexlify(i.toUtf8Bytes(JSON.stringify({ orderId: u })))
	} }), g = a.getContractWithSigner(o, t.HinkalWrapper);
	return {
		unsignedTx: await n(a, o, m, s, d, f, p, a.getContractWithSigner(o, t.DepositOnChainUtxos), g, !1, !0),
		utxoAmounts: h
	};
};
//#endregion
export { a as hinkalPalEvmDepositPrepare };
